# code sharing for walking the XML
# tree, shared by all export filters.
class ExportBase

	def get_answer_nodes(xml_tree, question_no)
		elts = xml_tree.root.elements
		elt_numbers = elts.map { |questionnary_node| 
			answer_node(questionnary_node, question_no)
		}
	end

	def answer_node(questionnary_node, question_no)
		raise "invalid questionnary node: #{questionnary_node.name}" unless questionnary_node.name == "questionnary"
		answer_node = questionnary_node.elements[1].elements.find { |elt|
			elt.attributes["question"] == question_no
		}
		answer_node
	end
end
