class ExtraCols

	def ExtraCols.col_types()
# 		[String, String]
		[]
	end

	def ExtraCols.col_names()
# 		["Odnos do starega oseba", "Poklicni status"]
		[]
	end

	def ExtraCols.col_value(questions, xml_tree, key, extra_col_index)
		questionnary_node = xml_tree.root.elements.find { |q_node|
			q_node.attributes['number'] == key
		}
		raise "invalid questionnary node: #{questionnary_node}" unless questionnary_node.name == "questionnary"

		case extra_col_index
		when 1
			choice_val(questions, questionnary_node, '4')
		when 2
			choice_val(questions, questionnary_node, '33')
		else
			raise "invalid extra col index #{extra_col_index}"
		end
	end

	def ExtraCols.choice_val(questions, questionnary_node, q_no)
		answer_node = questionnary_node.elements[1].elements.find { |elt|
			elt.attributes["question"] == q_no
		}
		raise "invalid question #{q_no} answer type #{answer_node.name}" unless answer_node.name == 'choice_val'
		choices_desc = questions.find {|q| q.name==q_no}.choices.map { |choice|
			choice.description
		}
		choice_index = answer_node.attributes["index"].to_i
		choices_desc[choice_index]
	end
end
